package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.DataEntity;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.DataEntitySearchContext;

/**
 * 实体[DataEntity] 服务对象接口
 */

public interface IDataEntityService{
     boolean remove(String dataEntityId) ;
     boolean create(DataEntity dataEntity) ;
     boolean update(DataEntity dataEntity) ;
     DataEntity initAll(DataEntity dataEntity) ;
     DataEntity getDraft(DataEntity dataEntity) ;
     DataEntity get(String dataEntityId) ;
     DataEntity get(DataEntity dataEntity) ;
     boolean save(DataEntity dataEntity) ;
     boolean checkKey(DataEntity dataEntity) ;

    /**
     * 查询集合 SelectDEAll
     */
    Page<DataEntity> searchSelectDEAll(DataEntitySearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<DataEntity> searchDefault(DataEntitySearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<DataEntity> selectBySystem(String systemid) ;
     List<DataEntity> selectBySystem2(String systemid);

}
